# Commando regel opties

Cartes du Ciel/Sterrenkaarten accepteert de volgende opties op de commando regel:

Optie | Parameter | Functie
--- | --- | ---
--config | configuratie-bestandsnaam | Geeft de mogelijkheid een configuratiebestand op te geven anders dan de standaard ”%LOCALAPPDATA%\skychart\skychart.ini” of ”~/.skychart/skychart.ini”
--loaddef | optie_bestandsnaam | Gelijk aan het server LOADDEFAULT commando. Gebruik deze optie om een gedeelte van het configuratiebestand te laden voor tijdelijke vervanging van het standaard skychart.ini configuratiebestand.
--unique |  | Start het programma niet wanneer er al een instantie van het programma draait
--quit |  | Gebruik deze optie tegelijk met de --unique optie om de actieve instantie van Cartes du Ciel te sluiten of om het programma geheel te stoppen.
--nosplash |  | Toon niet het 'splash' scherm tijdens het opstarten
--daemon |  | Start het programma in de achtergrond zonder het hoofdvenster te tonen
--nosave |  | Sla de configuratiewijzigingen niet op bij afsluiten. Nuttig in combinatie met de --loaddef optie.
Opties die de eerste actieve kaart beïnvloeden
–load | opgeslagen_bestandsnaam | Gelijk aan het server commando LOAD. Gebruik deze optie om een template van kaart instellingen te laden.
--search | object_name | Gelijk aan het SEARCH server commando
--setproj | ALTAZ/EQUAT/GALACTIC/ECLIPTIC | Same as the SETPROJ server commando
--setfov | 00d00m00s of 00.00 | Gelijk aan het SETFOV server commando
--setra | RA:00h00m00s of RA:00.00 | Gelijk aan het SETRA server commando
--setdec | DEC:+00d00m00s of DEC:00.00 | Gelijk aan het SETDEC server commando
--setobs | LAT:+00d00m00sLON:+000d00m00sALT:000mOBS:name | Gelijk aan het SETOBS server commando
--settz | Etc/GMT | Gelijk aan het SETTZ server commando
--setdate | yyyy-mm-ddThh:mm:ss of “yyyy-mm-dd hh:mm:ss” | Gelijk aan het SETDATE server commando
--setcat | "path shortname active min max " | Gelijk aan het SETCAT server commando
--resize | "width height " | Gelijk aan het RESIZE server commando
--dss |  | Gelijk aan het PDSS server commando
--saveimg | "PNG/JPEG/BMP filename quality" | Gelijk aan het SAVEIMG server commando
--print | "PRT/PS/BMP PORTRAIT/LANDSCAPE COLOR/BW pad-en-bestandsnaam" | Gelijk aan het PRINT server commando

Waarschuwing: Anders dan de commando's verzonden via TCP/IP, opties en parameters worden hier gescheiden met het "=" zonder enige witruimte. Wanneer de parameter spaties bevat, omsluit deze dan met dubbele aanhalingtekens zoals "".

Onder Unix kun je een 'signal' naar het programma sturen met het kill-commando:

Signal | Actie
--- | ---
1, HUP | Herlaad de standaard kaart en opties
15, TERM | Sluit netjes het programma af

# Automatiseringsvoorbeelden van commando regel gebruik

Het automatiseren doe je normaal gesproken door server commando's te verzenden naar de TCP/IP poort maar in sommige gevallen is het eenvoudiger om direct de commando regel te gebruiken.

Start CdC met de eerste kaart:
# skychart --unique

Stel de beeldafmetingen in zoals je die wilt. Bijvoorbeeld:
# skychart --unique --resize="1024 768"

Het volgende commando toont de kaart van Messier 1 zonder een nieuw scherm te openen:
# skychart --unique --setfov=3 --setproj=EQUAT --search=M1

Sla het beeld op van de huidige kaart:
#skychart --unique --saveimg="PNG /tmp/m1.png"

Je kunt dit natuurlijk doen voor andere objecten of FOV.

Als je gereed bent, kun je het hoofdescherm sluiten:
# skychart --unique --quit

Het is ook mogelijk dit achtereenvolgens te doen en daarna af te sluiten, zonder iets op het scherm weer te geven. Dit is nuttig als je bijvoorbeeld alleen maar één plaatje wilt:
#skychart --nosplash --daemon --resize="1024 768" --setfov=3 --setproj=EQUAT --search=M1 --saveimg="PNG /tmp/m1.png" --quit